Home | All Classes | Grouped Classes | Index | Search

# CL_IRCConnection::send_command

Send command to IRC server.

    	void send_command(
    		const std::string& prefix, const std::string& command, const std::vector<std::string>& params);

Parameters:

prefix
  Sender prefix.
command
  IRC command.
params
  List of parameters for IRC command.

Detailed description:

This is the low-level IRC send command. Useful if you need to send a command not supported by the other higher level send functions.

See also:

CL_IRCConnection

Questions or comments, write to the ClanLib mailing list.